<script>
	import Global from './assets/http/global.js'
	export default {
		onLaunch: function() {
			//更新版本
			this.updateApp()
			//获取token
			this.getToken()
		},
		methods:{
			updateApp(){
				const updateManager = uni.getUpdateManager();
				updateManager.onCheckForUpdate(function (res) {
				  // 请求完新版本信息的回调
				  console.log("是否有新版本：",res.hasUpdate);
				});
				updateManager.onUpdateReady(function (res) {
				  uni.showModal({
				    title: '更新提示',
				    content: '新版本已经准备好，是否重启应用？',
				    success(res) {
				      if (res.confirm) {
				        // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
				        updateManager.applyUpdate();
				      }
				    }
				  });
				
				});
				updateManager.onUpdateFailed(function (res) {
				  // 新的版本下载失败
				});
			},
			async getToken(){
				let token = uni.getStorageSync('token')
				let [, res] = await uni.request({
					url: Global.tokenUrl,
					method: 'POST',
					header: {
						Authorization: "Basic c2FiZXI6c2FiZXJfc2VjcmV0"
					},
				})
				//否则保存新的token
				token = res.data.token_type + " " + res.data.access_token
				uni.setStorageSync('token', token)
			}
		}
	}
</script>

<style lang="scss">
	@import "uview-ui/index.scss";
	 @import "assets/colorui/main.css";
	 @import "assets/colorui/icon.css";
	 @import "assets/colorui/app.scss"; /* 你的项目css */
</style>
